SqlUtil::GenericColumnInfo Struct Reference

generic column description hash in schema descriptions More...

## Public Attributes

*bool | auto_increment
| True for DBs that support an auto-increment column
*string | comment
| an optional comment for the column
any | default_value
| the default value for the column
bool | default_value_native = False
| a boolean flag to say if a `default_value` should be validated against table column type (False) or used as it is (True) to allow to use DBMS native functions or features. Defaults to False. It is strongly recommended to use `default_value_native` for `default_value` in `driver` specific sub-hash to avoid non-portable schema hashes
hash< string, hash > | driver
| this key can optionally contain a hash keyed by driver name which contains a hash of values that will be added to the column description hash before processing; this way a column description hash can contain all the information required for the column including driver-specific options; any driver-specific options will overwrite values in the top level of the hash if there are duplicate hash keys
string | native_type
| the native database column type; if both `native_type` and `qore_type` are given then `native_type` is used
bool | notnull = False
| if the column should have a "not null" constraint on it; if missing the default value is False
string | qore_type
| a qore type string that will be converted to a native DB type with some default conversion
softint | scale
| for numeric data types, this value gives the scale
softint | size
| for data types requiring a size component, the size; for numeric columns this represents the precision for example

## Detailed Description

generic column description hash in schema descriptions